﻿using System;
using System.Linq;
using System.IO;
using System.IO.IsolatedStorage;
using System.Collections.Generic;
using Microsoft.LightSwitch;
using Microsoft.LightSwitch.Framework.Client;
using Microsoft.LightSwitch.Presentation;
using Microsoft.LightSwitch.Presentation.Extensions;
namespace LightSwitchApplication
{
    public partial class FlexibleOrdersGrid
    {
        C1.Silverlight.FlexGrid.C1FlexGrid flex;

        partial void FlexibleOrdersGrid_Created()
        {
            // Write your code here.
            var _Flex = this.FindControl("C1FlexGrid");
            _Flex.ControlAvailable += _Flex_ControlAvailable;
        }

        void _Flex_ControlAvailable(object sender, ControlAvailableEventArgs e)
        {
            flex = e.Control as C1.Silverlight.FlexGrid.C1FlexGrid;
            flex.IsEnabled = true;
            flex.SelectedItemChanged += flex_SelectedItemChanged;
        }

        void flex_SelectedItemChanged(object sender, EventArgs e)
        {
            if (((C1.Silverlight.FlexGrid.C1FlexGrid)(sender)).SelectedItem != null)
            {
                this.localParamOrderID = (((C1.Silverlight.FlexGrid.C1FlexGrid)(sender)).SelectedItem as LightSwitchApplication.Order).OrderID;
                this.Order_Details_List.Load();
            }
        }
    }
}
